(function() {
	mui.init({
		beforeback: function() {
			var home = plus.webview.getWebviewById('tab-webview-subpage-home.html');
			mui.fire(home, 'refresh');
			var mine = plus.webview.getWebviewById('tab-webview-subpage-mine.html');
			mui.fire(mine, 'refresh');
			var msg = plus.webview.getWebviewById('tab-webview-subpage-msg.html');
			mui.fire(msg, 'refresh');
			var all = plus.webview.getWebviewById('all.html');
			mui.fire(all, 'refresh');
			//					//更新家庭成员二级菜单界面
			//					var family_index = plus.webview.getWebviewById('family_index');
			//					mui.fire(family_index, 'refresh');
			//					//更新从修改家庭成员打开的我的界面
			//					var tab_mine = plus.webview.getWebviewById('mine');
			//					mui.fire(tab_mine, 'refresh');
			//					plus.webview.close('mine');
			return true;
		}
	});

	var regBtn = document.getElementById("reg");
	regBtn.addEventListener("tap", function() {

		plus.nativeUI.showWaiting("努力加载中，请稍候......");
		if (mui.os.android) {
			var main = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var intent = new Intent();
			intent.setClassName(main, "com.bringspring.shebao.dandong.RegisterActivity");
			main.startActivity(intent);
			plus.nativeUI.closeWaiting();
			return;
		} else if (mui.os.ios) {
			var newVCobj = plus.ios.newObject("RegisterViewController");
			var UIApplicationClass = plus.ios.importClass("UIApplication");
			var UIAppObj = UIApplicationClass.sharedApplication();
			var del = plus.ios.invoke(UIAppObj, "delegate");
			var appWindowObj = plus.ios.invoke(del, "window");
			var appRootController = plus.ios.invoke(appWindowObj, "rootViewController");
			plus.ios.invoke(appRootController, "presentViewController:animated:completion:", newVCobj,
				"YES", null);
			plus.nativeUI.closeWaiting();
			return;
		} else {
			mui.alert("该功能尚未启用，敬请期待！", "温馨提示");
			return;
		}
	});

	var forgetPasswordBtn = document.getElementById("forgetPassword");
	forgetPasswordBtn.addEventListener("tap", function() {
		jump.findPassword();
	});

	var passwordBox = document.getElementById('password');
	// passwordBox.addEventListener('tap', function() {
	// 	kb_s('password', 'kb');
	// });
	mui.plusReady(function() {
		var settings = app.getSettings();
		var state = app.getState();

		var loginButton = document.getElementById('login');
		var accountBox = document.getElementById('account');
		var autoLoginButton = document.getElementById('autoLogin');
		if(mui.os.android){
			//禁止截屏
			var main = plus.android.runtimeMainActivity();
			var mwindow  = main.getWindow();
			plus.android.importClass(mwindow);
			mwindow.addFlags(0x00002000);
		}
		
		loginPageLoad();

		autoLoginButton.classList[settings.autoLogin ? 'add' : 'remove']('mui-active');
		autoLoginButton.addEventListener('toggle', function(event) {
			setTimeout(function() {
				var isActive = event.detail.isActive;
				settings.autoLogin = isActive;
				app.setSettings(settings);
			}, 50);
		}, false);

		loginButton.addEventListener('tap', function() {
			var myreg =
				/(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{2}$)/;

			if (accountBox.value.trim() === "") {
				mui.alert("身份证不能为空！", '温馨提示');
				return;
			}

			if (!myreg.test(accountBox.value.trim())) {
				mui.alert('请输入有效的身份证号！', '温馨提示');
				return;
			}

			if (passwordBox.value.trim() === "") {
				mui.alert("密码不能为空！", '温馨提示');
				return;
			}
			var pwdReg = /(^(?!\d+$)(?![A-Za-z]+$)[a-zA-Z0-9]{6,16}$)/;
			if (!pwdReg.test(passwordBox.value.trim())) {
				mui.alert("登录密码为6-16位字符，必须是数字和字母的组合！", '温馨提示');
				return;
			}

			var model = '3';
			if (mui.os.ios) {
				model = '4';
			}
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var imei = plus.device.uuid;
			var version = plus.runtime.version;
			var account = accountBox.value.trim();
			var paramObj = {};
			paramObj.account = account.toLocaleUpperCase();
			paramObj.pwd = passwordBox.value.trim();
			paramObj.model = model;
			paramObj.imei = imei;
			paramObj.version = version;
			var paramJson = JSON.stringify(paramObj);
			requestUtilPost(appHost.service + "userlogin", "p", paramJson, true, successFun,
				errorFun);
		});
	});

	function successFun(data) {
		plus.nativeUI.closeWaiting();
		// console.log(JSON.stringify(data))
		try {
			if (data.code == 'success') {
				var state = app.getState();
				var accountBox = document.getElementById('account');
				var passwordBox = document.getElementById('password');
				var obj = data.user;
				var account = obj.user_account;
				state.accountMask = account.replace(/(\w{10})\w*(\w{2})/, '$1******$2');
				state.account = account;
				state.userid = obj.user_id;
				state.name = obj.user_name;
				state.password = passwordBox.value.trim();
				state.token = obj.token;
				state.card = obj.card;
				state.cardpwd = obj.shebao_cardpwd;
				state.lastdate = obj.last_login_date;
				app.setState(state);
				plus.storage.setItem("account", obj.user_account);
				plus.storage.setItem("password", passwordBox.value.trim());
				var signNo = obj.sign_number;
				if (signNo) {
					plus.storage.setItem("signNo", signNo);
				} else {
					plus.storage.setItem("signNo", '');
				}
				plus.storage.setItem("busiSeq_time", '');
				plus.storage.setItem("busiSeq", '');
				mui.back();
			} else {
				var msg = data.msg;
				mui.alert(msg, '温馨提示');
			}
		} catch (e) {
			//TODO handle the exception
			mui.alert("数据解析异常！", '温馨提示');
		}
	}

	function errorFun(result) {
		plus.nativeUI.closeWaiting();
		mui.alert(result, '温馨提示');
	}

	function loginPageLoad() {
		var settings = app.getSettings();
		var remPwd = plus.storage.getItem("password");
		var remAccount = plus.storage.getItem("account");
		if (settings.autoLogin) {
			if (remAccount != "" && remAccount != undefined) {
				document.getElementById("account").value = remAccount;
			} else {
				document.getElementById("account").value = "";
			}
			if (remPwd != "" && remPwd != undefined) {
				document.getElementById("password").value = remPwd;
			} else {
				document.getElementById("password").value = "";
			}
		} else {
			document.getElementById("account").value = "";
			document.getElementById("password").value = "";
		}
	}

	window.addEventListener('show', function(event) {
		loginPageLoad();
	});
})();
